Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1121638 - perl-Crypt-DES not built for EPEL7 (required by perl-Net-SNMP)
Summary: perl-Crypt-DES not built for EPEL7 (required by perl-Net-SNMP)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Crypt-DES
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 12:38 UTC by Eric S.
Modified: 2020-04-24 21:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-21 08:37:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Eric S. 2014-07-21 12:38:59 UTC
Description of problem:
perl-Net-SNMP requires perl-Crypt-DES but this package has not yet been built for EPEL7.

Version-Release number of selected component (if applicable):


How reproducible:
Attempt to install perl-Net-SNMP and/or perl-Crypt-DES

Steps to Reproduce:
1.
2.
3.

Actual results:
Error: Package: perl-Net-SNMP-6.0.1-7.el7.noarch (epel)
           Requires: perl(Crypt::DES)

Expected results:
Successful installation

Additional info:

Comment 1 Petr Šabata 2015-05-14 13:27:22 UTC
perl-Crypt-DES appears to be shipped with EL7 directly.

Comment 2 Jeroen van Gemert 2016-06-15 07:10:29 UTC
What is the sollution to this. On RHEL 7.2 I do get the following:

# yum install perl-Net-SNMP-6.0.1-7.el7.noarch
Loaded plugins: langpacks, product-id, rhnplugin, search-disabled-repos, subscription-manager
This system is receiving updates from RHN Classic or Red Hat Satellite.
Resolving Dependencies
--> Running transaction check
---> Package perl-Net-SNMP.noarch 0:6.0.1-7.el7 will be installed
--> Processing Dependency: perl(Socket6) >= 0.23 for package: perl-Net-SNMP-6.0.1-7.el7.noarch
--> Processing Dependency: perl(Crypt::DES) for package: perl-Net-SNMP-6.0.1-7.el7.noarch
--> Processing Dependency: perl(Digest::HMAC) for package: perl-Net-SNMP-6.0.1-7.el7.noarch
--> Processing Dependency: perl(Digest::MD5) for package: perl-Net-SNMP-6.0.1-7.el7.noarch
--> Processing Dependency: perl(Digest::SHA1) for package: perl-Net-SNMP-6.0.1-7.el7.noarch
--> Running transaction check
---> Package perl-Digest-HMAC.noarch 0:1.03-5.el7 will be installed
--> Processing Dependency: perl(Digest::SHA) for package: perl-Digest-HMAC-1.03-5.el7.noarch
---> Package perl-Digest-MD5.x86_64 0:2.52-3.el7 will be installed
--> Processing Dependency: perl(Digest::base) >= 1.00 for package: perl-Digest-MD5-2.52-3.el7.x86_64
---> Package perl-Digest-SHA1.x86_64 0:2.13-9.el7 will be installed
---> Package perl-Net-SNMP.noarch 0:6.0.1-7.el7 will be installed
--> Processing Dependency: perl(Crypt::DES) for package: perl-Net-SNMP-6.0.1-7.el7.noarch
---> Package perl-Socket6.x86_64 0:0.23-15.el7 will be installed
--> Running transaction check
---> Package perl-Digest.noarch 0:1.17-245.el7 will be installed
---> Package perl-Digest-SHA.x86_64 1:5.85-3.el7 will be installed
---> Package perl-Net-SNMP.noarch 0:6.0.1-7.el7 will be installed
--> Processing Dependency: perl(Crypt::DES) for package: perl-Net-SNMP-6.0.1-7.el7.noarch
--> Finished Dependency Resolution
Error: Package: perl-Net-SNMP-6.0.1-7.el7.noarch (rhel7-x86_64-epel)
           Requires: perl(Crypt::DES)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 3 Jeroen van Gemert 2016-07-11 13:12:24 UTC
(In reply to Eric S. from comment #0)
Description of problem:
perl-Net-SNMP requires perl-Crypt-DES but this package has not yet been
built for EPEL7.

Version-Release number of selected component (if applicable):
 
How reproducible:
Attempt to install perl-Net-SNMP and/or perl-Crypt-DES

Steps to Reproduce:
# yum install munin
 
Actual results:
Error: Package: perl-Log-Log4perl-1.42-2.el7.noarch (rhel7-x86_64-epel)
           Requires: perl(RRDs)
Error: Package: munin-2.0.25-2.el7.noarch (rhel7-x86_64-epel)
           Requires: perl(RRDs)
Error: Package: munin-2.0.25-2.el7.noarch (rhel7-x86_64-epel)
           Requires: perl(Crypt::DES)
Error: Package: perl-Net-SNMP-6.0.1-7.el7.noarch (rhel7-x86_64-epel)
           Requires: perl(Crypt::DES)
Error: Package: munin-2.0.25-2.el7.noarch (rhel7-x86_64-epel)
           Requires: perl(File::Copy::Recursive)
Error: Package: perl-Log-Log4perl-1.42-2.el7.noarch (rhel7-x86_64-epel)
           Requires: perl(XML::DOM)
Error: Package: munin-2.0.25-2.el7.noarch (rhel7-x86_64-epel)
           Requires: perl(Taint::Runtime)
 
Expected results:
Successful installation

Additional info:

Comment 4 Petr Pisar 2016-07-11 13:29:47 UTC
RHEL-7 delivers perl-Crypt-DES-0:2.05-20.el7.x86_64 in Optional repository. I think this is not enabled by default and you need to do it using subscription manager <https://access.redhat.com/solutions/265523>.

Comment 5 Eric S. 2016-07-13 12:46:49 UTC
OK.  At the time of my testing it was not in optional.  Thanks.

Comment 6 Jeroen van Gemert 2016-07-15 12:51:19 UTC
(In reply to Eric S. from comment #5)
> OK.  At the time of my testing it was not in optional.  Thanks.

I'm not sure how to resolve this. Can you help me what to do?

Comment 7 saumya0007 2020-04-24 21:19:22 UTC
(In reply to Jeroen van Gemert from comment #6)
> (In reply to Eric S. from comment #5)
> > OK.  At the time of my testing it was not in optional.  Thanks.
> 
> I'm not sure how to resolve this. Can you help me what to do?

On RHEL 7, you need to enable the optional repository in order to resolve perl-Crypt-DES dependency.
# subscription-manager repos --enable "rhel-*-optional-rpms"

Worked for me!!!!!


Note You need to log in before you can comment on or make changes to this bug.